Page 1 of 6

[Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sat Nov 01, 2014 11:14 pm
by Marshalrusty
Please use this topic to discuss the phpBB 3.1.1 Release - Please Update announcement.

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 12:52 am
by Phillip
Updating as I'm posting this. Awesome update so far, thanks phpBB Team.

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 1:40 am
by Cable Player
It happens - at least you didn't hang around providing the update! :ugeek:

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 1:41 am
by Phillip
Cable Player wrote:It happens - at least you didn't hang around providing the update! :ugeek:
That's true, I almost ruin this update on my forum. I actually downloaded a fresh copy and forgot to get the update instead.

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 2:01 am
by moviehive
Thank you so much for this update.

So many people were complaining that we would not get another update for a year.

Good to see that even though it's a small update that updates happen all the time with 3.1 makes it even better than 3.0

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 2:03 am
by Boardtalk.net
Thanks Team!

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 2:31 am
by kinerity
Ran into a small issue with the patch file (it rejected some of the changes to phpbb/session.php). I checked the file and it looks like it updated, but I'll upload a fresh one just to be on the safe side. Other than that, update when flawlessly :D

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 2:53 am
by Neow13
vulnerability affect users of phpbb 3.0.12 or not?

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 3:54 am
by naderman
Neow13 wrote:vulnerability affect users of phpbb 3.0.12 or not?
No, 3.0.12 is not affected. Only 3.1.0 contains the vulnerable code.

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 4:39 am
by -EnYgmA-
Hi,
We have been hard at work to ensure 3.1 Ascraeus is also the most stable and secure release of phpBB. A professional security audit performed by SektionEins found phpBB 3.1 Ascraeus to be solid, due to the examplary execution of strict coding guidelines.
This vulnerability was not found during this check?
Bizarre After they fall over release.

Thanks for the quick correction ;)

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 6:43 am
by Stoker 4.0
code changes txt please.
Need it for updating other styles.

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 6:59 am
by Alien_Time
Pretty boy Naderman.. Thanks for the update :D

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 7:04 am
by Marshalrusty
Stoker 4.0 wrote:code changes txt please.
Need it for updating other styles.
The awesome thing about us using github for development is that you get to use all their cool tools. For example: https://github.com/phpbb/phpbb/compare/release-3.1.0...release-3.1.1 will show you the commits that occurred between the two releases. Click on Files changed at the top there and you can see the aggregate changes per file.

Alternatively, you can grab a copy of 3.1.0 and 3.1.1 and run the directories you care about through your favorite file differ.

Hope that helps :)

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 7:08 am
by Stoker 4.0
Thanks Marshalrusty. Looks pretty easy :)

Re: [Discuss] phpBB 3.1.1 Release - Please Update

Posted: Sun Nov 02, 2014 8:26 am
by LavIgor
Thank you for an update! ;)